<%
	
	'
	' Builds view to be shown as "list of available users"
	'
	Function getUsersUI(userId)
	
		' we need to show all users available in this room
		Dim thisUser
		Set thisUser = getUser(userId)
		If (IsNull(thisUser)) Then
			Exit Function
		End If
		
		getUsersUI = "<table border=0 width=100% cellspacing=0 cellpadding=2>"
		
		Dim userId_
		For Each userId_ In conquerChatUsers
			Set user = getUser(userId_)
			If (user.roomId = thisUser.roomId) Then
				
				getUsersUI = getUsersUI & "<tr>"
				getUsersUI = getUsersUI & " <td><img src='images/" & getUserIcon(user) & "' width=16 height=16 border=0></td>"
				
				If (user.id = thisUser.id) Then
					' print users own name in bold
					getUsersUI = getUsersUI & " <td width=100% class=infoText><b>" & user.name & "</b>&nbsp;</td>"
				Else
					' users are able to send private messages to all other users
					' but themselves
					getUsersUI = getUsersUI & " <td width=100% class=infoText><a href=""javascript:openUserProfile('" & user.id & "', '" & thisUser.id & "')"">" & user.name & "</a>&nbsp;<a href=""javascript:openPrivateChat('" & thisUser.id & "', '" & user.id & "')"">(chat)</a></td>"
				End If
				
				getUsersUI = getUsersUI & "</tr>"
			End If
			
		Next ' // > For Each userId_ In conquerChatUsers
		
		getUsersUI = getUsersUI & "</table>"
		
	End Function ' // > Function getUsersUI(...)
	
	
	'
	' Builds view of available roomsfor user
	'
	Function getRoomsUI(userId)
		
		Dim user
		Set user = getUser(userId)
		
		getRoomsUI = "<table border=0 width=100% cellspacing=0 cellpadding=2>"
		
		Dim rooms, room, i
		rooms = conquerChatRooms.Keys
		If (IsArray(rooms)) Then
			For i = 0 To UBound(rooms)
				Set room = getRoom(rooms(i))
				
				getRoomsUI = getRoomsUI & "<tr>"
				
				Dim cssClass
				If (room.id = user.roomId) Then
					' this room is where the user is located so apply different style
					cssClass = "rc"
				Else
					cssClass = "r"
				End If
				
				If (room.createdBy <> user.id) Then
					getRoomsUI = getRoomsUI & " <td class=" & cssClass & "><img src='images/ico.room.gif' width=16 height=16 alt='" & Server.HTMLEncode(room.name) & "' border=0></td>"
				Else
					getRoomsUI = getRoomsUI & " <td class=" & cssClass & "><a href='rooms.asp?chatId=" & userId & "&action=remove&roomId=" & room.id & "' onClick=""return confirmRemoveRoom('" & Server.HTMLEncode(room.name) & "')""><img src='images/ico.room.remove.gif' width=16 height=16 alt='Remove " & Server.HTMLEncode(room.name) & "' border=0></a></td>"
				End If
				
				getRoomsUI = getRoomsUI & " <td width=100% class=" & cssClass & "><a href=""javascript:goToRoom('" & room.id & "')"">" & Server.HTMLEncode(room.name) & "</a></td>"
				
				getRoomsUI = getRoomsUI & "<td align=right class=" & cssClass & ">" & countUsersInRoom(room.id) & "</td>"
				
				getRoomsUI = getRoomsUI & "</tr>"
			Next
		Else
			getRoomsUI = getRoomsUI & "<tr><td colspan=2>No rooms available</td></tr>"
		End If
		
		getRoomsUI = getRoomsUI & "</table>"
		
	End Function
	
	Function getLoggedOutScript()
		
		getLoggedOutScript = "<script type='text/javascript'>document.location.replace('" & PAGE_EXPIRED & "');</script>"
		
	End Function
	
%>